from django.shortcuts import render_to_response
from django.template import RequestContext
from django.contrib.auth.decorators import login_required
from django.db.models import Count

from buyable.models import Purchase, Buyable

@login_required
def startpage(request):
	usersMost = Purchase.objects.values('buyable__name').annotate(num_buys=Count('buyable')).order_by('-num_buys')
	return render_to_response("main/startpage.html", {'usersMost': usersMost}, RequestContext(request))

def register(request):
	return render_to_response("registration/register.html", RequestContext(request))
